var maindata = {dataSourceTableName : 'sys_reports',
            fields :[
                    { name: 'id', type: 'number', label: 'No.',width: 70 },
                    { name: 'name', type: 'string',label: 'Название отчета', width: 200, editable:true },
              		{ name: 'template', type: 'string',label: 'Шаблон', width: 200 }
					]
};

var formButtons = [ 
				{name:'update', label:'Загрузить шаблон',
					onClick:function(){
							var fileinfo = [];
								
											 function handleFileSelect(evt) {
												var files = evt.target.files; // FileList object
												for (var i = 0, f; f = files[i]; i++) {
											  
												  if (!f.type.match('text.*')) {
													continue;
												  }
													
												  var reader = new FileReader();
											 
												  reader.onloadend = (function(theFile) {
													return function(e) {
													  
													  var span = document.createElement('span');
													  span.innerHTML = ['<p>', escape(theFile.name), '</p>'].join('');
													  fileinfo[theFile.name] = {filename:theFile.name,filecontent:e.target.result};
													};
												  })(f);
												  reader.readAsDataURL(f);
												}
											  }
											  
											 dialog({
												title:'Выберите файл шаблона для загрузки',
												theme:theme,
												localization:userSettings.localization,
												message:'<style>.thumb {height: 16px;border: 1px solid #000;margin: 10px 5px 0 0;}</style><input type="file" accept=".html" id="files" name="files[]" /><br><output id="filelist"></output>', 
												beforeOpen: function(){
													document.getElementById('files').addEventListener('change', handleFileSelect, false);
													},
												success:function(){
                                                  for (var key in fileinfo) {
														var result = rcf('utils','savereporttemplate',[fileinfo[key].filecontent,fileinfo[key].filename, maindata.formState.rowdata.id]);
                                                    	try{
                                                        	result = JSON.parse(result);
                                                          	if(result.Success!=undefined){showSuccess(result.Success);}
                                                          	if(result.Error!=undefined){showError(result.Error);}
                                                        }catch(e){
                                                        	showError('Ошибка браузера: '+e+' Ошибка на сервере: '+result);
                                                        }
                                                  }
														updateData();
													
												},
												width:320,
												height:240,
												x:200,
												y:200
												
											});	
	
						}
					},
  				{name:'download', label:'Скачать шаблон', onClick:function(){
                  					if(maindata.formState.rowdata.template==''){
                                    	showError('Невозможно скачать шаблон для отчета '+maindata.formState.rowdata.name);
                                    }
                					var result = rcf('utils', 'downloadreporttemplate', [maindata.formState.rowdata.template]);
                  					
                  					try{
                                    	var err = JSON.parse(result);
                                      	if(err.Error!=undefined){showError(err.Error); return;}
                                    }catch(e){download(result, maindata.formState.rowdata.name);}
                  					
                  					
                
                }},
				{name:'editsource', label:'Редактировать', onClick: function(){
								 
								var result = rcf('utils','getreportcontent',[maindata.formState.rowdata.name]);
								var editor;
								dialog({
								title:'Edit Source Code '+maindata.formState.rowdata.name,
								theme:theme,
								localization:userSettings.localization,
								message:'<div><button id="SaveSourceCodeButton" style="margin-left:1%">Save</button><div><div><textarea id="xeditor" style="margin-top:1%;visibility:hidden;width:100%;height:90%;white-space: pre;"></textarea></div>', 
								 beforeOpen: function(){
									 $('#xeditor').val(result);
                                   $("#SaveSourceCodeButton").mfxButton({ template: "success", width:'5em' });
									 $("#SaveSourceCodeButton").on('click', function(){var result = rcf('utils','setreportcontent',[maindata.formState.rowdata.name,editor.getValue()]); });
									 editor = CodeMirror.fromTextArea(document.getElementById("xeditor"), {
										lineNumbers: true,
										matchBrackets: true,
										mode:  "text/x-php",
										styleActiveLine: true,
										theme:'liquibyte'
										
										});
										editor.setSize(1300, 680);
									},
								success:function(){
									 
									 var result = rcf('utils','setreportcontent',[maindata.formState.rowdata.name,editor.getValue()]); 
										
									},
								onClose:function(){
									$('#xeditor').remove();
									$('#confirmDialog').remove();
								},	 
								width:1340,
								height:800,
								x:10,
								y:10
								
								});
	
				}
	
	}
];


runForm(maindata, formButtons);
