var maindata = {dataSourceTableName : 'location',
            fields :[
                    { name: 'id', type: 'number', label: 'No.',width: 70 },
                    { name: 'code', type: 'string',label: 'Код', width: 100, editable:true },
					{ name: 'description', type: 'string',label: 'Описание', width: 400, editable:true },
                    { name: 'address', type: 'string',label: 'Адрес', width: 200, editable:true, hidden:true },
                    { name: 'phone', type: 'string',label: 'Телефон', width: 200, editable:true },
					{ name: 'email', type: 'string',label: 'Email', width: 200, editable:true },
                    { name: 'transit', type:'bool', label:'Транзитный', width:70, editable:true, hidden:true},
					{ name: 'zone_storage', type:'bool', label:'Адресное хранение', width:70, editable:true, hidden:true}
					]
};

	 var subData = [
				{name:'zones',
				label:'Зоны',
				dataSourceTableName:'zone',
				fields:[
                    { name: 'id', type: 'number', label: 'No.',width: 70},
					{ name: 'code', type: 'string',label: 'Код', width: 100, editable:true },
					{ name: 'description', type: 'string',label: 'Описание', width: 200, editable:true }
                ] ,
				formTriggers:{
					beforeInsert: function(row={}){
						row.location=maindata.formState.rowdata.id;
						return row;
					}
				} ,
				addFilters: function(){
					return [['location', 'EQUAL', maindata.formState.rowdata.id]];
				}  
				},
				{name:'bins',
				label:'Ячейки',
				dataSourceTableName:'bin',
				fields:[
                    { name: 'id', type: 'number', label: 'No.',width: 70},
					{ name: 'code', type: 'string',label: 'Код', width: 100, editable:true },
					{ name: 'description', type: 'string',label: 'Описание', width: 200, editable:true },
					{ name: 'zone', type: 'number',label: 'Зона №', width:50, editable:true, gridColumnProperties:{hidden:true}, showlabel:false, display:false },
					{ name: 'zone__code', type: 'string',label: 'Зона', width:70,
												popupgrid:{datatable:'zone', needfield:'id', setfield:'zone', fields:
														[
															{name:'id', type:'number', label:'No.', width:70},
															{name:'code', type:'string', label:'Код', width:150}
														], gridProperties:{showfilterrow: false, showheader: false},
														filterBefore:function(row){
															return [['location','EQUAL', maindata.formState.rowdata.id]];
														}
													}
					},
					{ name: 'bintype', type: 'number',label: 'Тип Ячейки №', width:50, editable:true, gridColumnProperties:{hidden:true}, showlabel:false, display:false },
					{ name: 'bintype__code', type: 'string',label: 'Тип ячейки', width:70,
												popupgrid:{datatable:'bintypes', needfield:'id', setfield:'bintype', fields:
														[
															{name:'id', type:'number', label:'No.', width:70},
															{name:'code', type:'string', label:'Код', width:150},
															{name:'receive', type:'bool', label:'Приемка', width:50,gridColumnProperties:{columntype:'checkbox'}},
															{name:'ship', type:'bool', label:'Отгрузка', width:50,gridColumnProperties:{columntype:'checkbox'}},
															{name:'put_away', type:'bool', label:'Списание', width:50,gridColumnProperties:{columntype:'checkbox'}},
															{name:'pick', type:'bool', label:'Подбор', width:50,gridColumnProperties:{columntype:'checkbox'}}
														], gridProperties:{showfilterrow: false}
													}
					},
					{ name: 'cubage', type: 'number',label: 'Объем', width: 120, editable:true},
					{ name: 'maximum_weight', type: 'number',label: 'Макс. Вес', width: 120, editable:true},
					{ name: 'block_movement', type:'bool', label:'Блок. Перемещ.', width:70, editable:true, gridColumnProperties:{columntype:'checkbox'}},
					{ name: 'empty', type:'bool', label:'Пусто', width:70, editable:true, gridColumnProperties:{columntype:'checkbox'}},
					{ name: 'binranking', type: 'number',label: 'Ранжир', width: 120, editable:true}
                ] ,
				formTriggers:{
					beforeInsert: function(row={}){
						row.location=maindata.formState.rowdata.id;
						return row;
					}
				} ,
				addFilters: function(){
					return [['location', 'EQUAL', maindata.formState.rowdata.id]];
				}  
				}

	]; 


runForm(maindata, [], subData);
