<?php
function runTemplate($uri=''){
	if(!security::userLogedIn())die();
	if($uri=='')die();	
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<link rel="stylesheet" href="../../mfx/styles/mfx.base.css" type="text/css" />
<link rel="stylesheet" href="../../mfx/styles/mfx.<?php echo security::userTheme();?>.css" type="text/css" />
<script type="text/javascript" src="../../mfx/datasource.js"></script>
<script type="text/javascript" src="../../mfx/jquery-1.12.4.min.js"></script>
<script type="text/javascript" src="../../mfx/localization.js"></script>
<script type="text/javascript" src="../../mfx/localization_m.js"></script>
<script type="text/javascript" src="../../mfx/mfxcore.js"></script>
<script type="text/javascript" src="../../mfx/mfxbuttons.js"></script>
<script type="text/javascript" src="../../mfx/mfxdropdownbutton.js"></script>
<script type="text/javascript" src="../../mfx/mfxmenu.js"></script>
<script type="text/javascript" src="../../mfx/mfxcheckbox.js"></script>
<script type="text/javascript" src="../../mfx/mfxdropdownlist.js"></script>
<script type="text/javascript" src="../../mfx/mfxcalendar.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.edit.js"></script> 
<script type="text/javascript" src="../../mfx/mfxgrid.aggregates.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.columnsreorder.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.columnsresize.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.pager.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.storage.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.selection.js"></script> 
<script type="text/javascript" src="../../mfx/mfxgrid.filter.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.sort.js"></script>
<script type="text/javascript" src="../../mfx/mfxgrid.grouping.js"></script>
<script type="text/javascript" src="../../mfx/mfxdata.js"></script>
<script type="text/javascript" src="../../mfx/mfxtooltip.js"></script>
<script type="text/javascript" src="../../mfx/globalization/globalize.js"></script>
<script type="text/javascript" src="../../mfx/globalization/globalize.culture.<?php echo security::i18n_lang();?>.js"></script>
<script type="text/javascript" src="../../mfx/mfxscrollbar.js"></script>
<script type="text/javascript" src="../../mfx/mfxwindow.js"></script>
<script type="text/javascript" src="../../mfx/mfxinput.js"></script>
<script type="text/javascript" src="../../mfx/mfxnumberinput.js"></script>
<script type="text/javascript" src="../../mfx/mfxpanel.js"></script>
<script type="text/javascript" src="../../mfx/mfxtabs.js"></script>
<script type="text/javascript" src="../../mfx/mfxdate.js"></script>    
<script type="text/javascript" src="../../mfx/mfxdatetimeinput.js"></script>   
<script type="text/javascript" src="../../mfx/mfxlistbox.js"></script>
<script type="text/javascript" src="../../mfx/mfxcombobox.js"></script>
<script type="text/javascript" src="../../mfx/mfxmaskedinput.js"></script>
<script type="text/javascript" src="../../mfx/mfxtextarea.js"></script>
<script type="text/javascript" src="../../mfx/mfxpasswordinput.js"></script>
<script type="text/javascript" src="../../mfx/mfxnotification.js"></script>
<script type="text/javascript" src="../../mfx/mfxeditor.js"></script>
<script type="text/javascript" src="../../mfx/mfxradiobutton.js"></script>


<script type="text/javascript">
	function saveformstate(){
			var state = $("#mfxgrid").mfxGrid('savestate');
			var formname = <?php echo "'".htmlspecialchars(strip_tags($_GET['id']))."'";?>;
			rcf('utils','saveformstate',[formname,JSON.stringify(state)],true);
			
		}
	
	$(document).ready(function () {
		var formname = <?php echo "'".htmlspecialchars(strip_tags($_GET['id']))."'";?>;
		var userSettings = {theme:'<?php echo security::userTheme();?>', culture:'<?php echo security::i18n_lang();?>',localization:'<?php echo security::i18n();?>',formname:formname};
		var theme = userSettings.theme;
		var runForm = function(maindata, buttons=[], slavedata=[]){
				initForm(maindata, userSettings, buttons, slavedata);
			};
<?php include $uri;?>
		
});
    </script>
</head>
<body class='default'>
</body>
</html>
<?php } ?>

