<?php

class Importclass extends baseclass{
	function import($args=array()){
      	
      	if(empty($args))return;
    	$data = $args[0]; // данные
      	$tableName = $args[1]; // имя таблицы
      	$truncate = $args[2]; // надо ли очистить перед импортом
      	$importtype = $args[3]; // тип импорта
        // создаем объект нужной таблицы
      	$table = $this->getTable($tableName);
      	
      	
		try{
     		switch($importtype){
        	  case 'JSON': $data = $this->replaceLineEndInText($data); //вспомогательная функция из baseclass
                           $data = json_decode($data,TRUE); // преобразуем JSON в массив
                	break;
       		  case 'CSV': $data = $this->csv2json($data); // импорт CSV
                	break;
        	}
          
     	    if($truncate)$table->truncate(); // очищаем если требуется
            $table->bulkInsert($data);// вставляем данные в таблицу
        }catch(Exception $e){
        	echo $e->getMessage(); // что-то случилось, отдадим на клиент
        }
      
    }
  
  	protected function csv2json($content){
		$csvLines = explode($this->EOS(), $content); // разбиваем построчно
		$indexes = str_getcsv(array_shift($csvLines)); // первая строка с именами колонок, забираем ее
		$array = array_map(function ($e) use ($indexes) { // накладываем имена колонок на оставшиеся строки
        	if($e!=''){
          		return array_combine($indexes, str_getcsv($e)); 
            }else{return null;}  
        
        }, $csvLines); 
      	if(is_null(end($array))){array_pop($array);} // если последний элемент null, то удалим его
      	return $array;
    }
}
?>
