<?php
  
  class Item extends Table {
		function __construct($db_link, $tableFactory){
        		parent::__construct('item',$db_link, $tableFactory);
        
        
        }
  
        protected function onUpdate(){
        		$this->set_Updated_at(date("Y-m-d H:i:s"));
        
        }
        
        protected function onInsert(){
            // создаем объект служебного класса 
            $noSeriesMgt = $this->getClass('noseriesmanagement');
            // создаем объект ссылка на таблицу
            $itemSettings = $this->getTable('item_settings');
            // если достали первую строку из таблицы настроек
            if($itemSettings->getFirstRow()){
                // создаем объект типа таблица на серии номеров
            	$noseries = $this->getTable('no_series');
                // если в сериях номеров есть запись с id из настроек товаров
                if($noseries->getById($itemSettings->get_Item_no_series())){
                  // то текущей таблице в поле Код записываем следующий номер из серии
                  $this->set_Code($noSeriesMgt->getNextNo($noseries->get_Code()));
                
                }
            }
          
        		$this->set_Created_at(date("Y-m-d H:i:s"));
        
        }


}
  
  
?>