<?php
class Reportrun {
	
	public static function run(){
	    try{
			
			if(!security::allowRequest()){
			   throw new Exception('User not found. Please log in.');
		    }
			
			if(!(	isset($_POST['reportName'])&&!is_null($_POST['reportName'])))		
				{
					throw new Exception('reportName is not set.');
				};
					
			$reportName = $_POST['reportName'];
				
			if(!file_exists(security::reportsPath().$reportName.'.php')){
					throw new Exception('report '.$reportName.' not found.');
				};
			
			include(security::reportsPath().$reportName.'.php');
				
			$mysqli = security::conn();
			
			$tableFactory = new TableFactory();
			$report = new $reportName($mysqli, $tableFactory);
			
			$args = array();
			
			if(isset($_POST['argcount'])&&!is_null($_POST['argcount'])){
				if($_POST['argcount']>0){
					for($i=0; $i<$_POST['argcount']; $i++){
						$args[] = is_null($_POST['arg'.$i])?null:$mysqli->real_escape_string($_POST['arg'.$i]);
					};
				};
			};
		  
			$report->print($args);
		}catch(Exception $e){
			die(json_encode(array('Error'=>$e->getMessage())));
		}	
	}	
}
?>
