<!DOCTYPE html>
<html>
  <head>
	<meta charset="UTF-8">
    <link rel="stylesheet" href="../../mfx/styles/mfx.base.css" type="text/css" />
    <link rel="stylesheet" href="../../mfx/styles/mfx.<?php echo security::userTheme();?>.css" type="text/css" /> 
	<link rel="stylesheet" href="../../mfx/style.css">
    <script type="text/javascript" src="../../mfx/jquery-1.12.4.min.js"></script>
	<script type="text/javascript" src="../../mfx/menu.js"></script>
    <script type="text/javascript" src="../../mfx/mfxcore.js"></script>
    <script type="text/javascript" src="../../mfx/mfxbuttons.js"></script>
    <script type="text/javascript" src="../../mfx/mfxscrollbar.js"></script>
    <script type="text/javascript" src="../../mfx/mfxpanel.js"></script>
    <script type="text/javascript" src="../../mfx/mfxtree.js"></script>
    <script type="text/javascript" src="../../mfx/mfxcheckbox.js"></script>
    <script type="text/javascript" src="../../mfx/mfxmenu.js"></script>
    <script type="text/javascript">
		
        $(document).ready(function () {
            // Create mfxTree
            $('#mfxTree').mfxTree({height: $(document).height()*0.93, width: '230px',theme: '<?php echo security::userTheme();?>' });
            $('#mfxTree').css('visibility', 'visible');
            $('#mfxTree').on('itemClick', function (event) {
				
				var el = event.args.element;
				var fn = document.getElementById('fname');
				link = el.getAttribute("data-link");
				if(link!==null&&link!==undefined){
					if(typeof frames['iframe'].saveformstate === 'function'){
							frames['iframe'].saveformstate();
						};
					
					frames['iframe'].location.href = link;
					var item = $('#mfxTree').mfxTree('getItem',el);
					fn.innerHTML=' Форма:<b>'+item.label+'<b>';
					document.title = item.label;
				}else{
					$('#fname').innerHTML='';
				}	
			});
			var bg = $('#mfxTree').css('background');
			var cl = $('.mfx-widget-content-<?php echo security::userTheme();?>').css('color');
			$('.menu').css({background:bg});
			$('.icon-menu').css({background:bg});
			$('.icon-menu').css({color:cl});
			$('body').css({background:bg});
        });
	
    </script>
    
   
    
  </head>
  <body>
	<iframe name="iframe" id="iframe" src=""  align="right" frameborder="0" scrolling="no" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;z-index: 0;height:100vh;width:100%;position:absolute;top:30px;left:10px;right:0px;bottom:0px">If you can see this, your browser does not support iframes!</iframe>
	 <!-- Main body -->
     <div class="icon-menu">
        <img src="images/menu-ham-icon.png">
         <?php echo ' Пользователь : <b>'.security::userName();?></b>&nbsp<span id="fname"></span>
      </div>
    <div class="menu">
      
      <!-- Icon Menu -->
      <div class="icon-close">
        <img src="images/close-btn.png">
      </div>

      <!-- Menu -->
      <div id='mfxWidget' style="float: left;">
        <div id='mfxTree' style='visibility: hidden; float: left; margin-top: 10px;'>
		
		<?php
			$utils = new Utils(security::conn(), new tableFactory());
			echo $utils->userMenu();
		?>
			
         </div> 
		
    </div>
    </div>

   
    
    
    
  </body>
</html>
