<?php
class Formrun {
	public static function run(){
		if(!security::userLogedIn()){die('Error: Disconnected. Please log in.');};
		if(!isset($_GET['id'])){die('Requested form id not found');};
		$is_admin = (isset($_GET['admin'])&&(security::isAdmin()))?($_GET['admin']==1):false;
		$uri = security::formsPath().($is_admin?'admin/':'').$_GET['id'].'.php';
		if(!file_exists($uri)){die('Requested form file '.$_GET['id'].' not found');};
		if(!isset($_GET['template'])){
			include(security::formsPath().'templates/default.php');
		}			
		else{
			include(security::formsPath().'templates/'.$_GET['template'].'.php');
		}
		
		runTemplate($uri);
	}
}
?>
