var dataSourceTableName = 'sys_forms';
var fields = [
               { name: 'id', type: 'number', label: '№',width: 70},
			   { name: 'name', type: 'string',label: 'Название', width: 250, editable:true},
			   { name: 'template', type: 'string',label: 'Шаблон', width: 250, editable:true},
			   { name: 'notfound', type:'bool', label:'Не найдена', width:70, editable:true, gridColumnProperties:{columntype:'checkbox'}}
			  
			  
			   
			  ];
var masterSettings = {
				dataSourceTableName:dataSourceTableName,
				fields:fields
			};
			
var formButtons = [
				{name:'update', label:'Обновить список',
					onClick:function(){
							var result ='';
							try{
								var result = rcf('utils','updateformslist');
								
								result = JSON.parse(result);
								
								if(result.Error==undefined){
									updateData();
									showSuccess('Список форм обновлен');
								} else { throw new Error(result.Error);}	
							}catch(e){
									showError(e.message)
							}	
						}
					},
				{name:'editsource', label:'Редактировать', onClick: function(){
								
								var result = rcf('utils','getformcontent',[masterSettings.formState.rowdata.name]);
								var editor;
								dialog({
								title:'Редактировать исходный код для формы '+masterSettings.formState.rowdata.name,
								theme:theme,
								localization:userSettings.localization,
								message:'<div><button id="SaveSourceCodeButton">Сохранить</button><div><div><textarea id="xeditor" style="margin-top:1%;visibility:hidden;width:100%;height:90%;white-space: pre;"></textarea></div>', 
								 beforeOpen: function(){
									 $('#xeditor').val(result);
									 $("#SaveSourceCodeButton").mfxButton({ template: "success", width:'7em' });
									 $("#SaveSourceCodeButton").on('click', function(){
															var result = rcf('utils','setformcontent',[masterSettings.formState.rowdata.name,editor.getValue()]);
														});
									 var editor = CodeMirror.fromTextArea(document.getElementById("xeditor"), {
										lineNumbers: true,
										mode:  "javascript",
										styleActiveLine: true,
										matchBrackets: true,
										theme:'liquibyte'
										});
									editor.setSize(1300, 680);
									},
								success:function(){
									 
									 var result = rcf('utils','setformcontent',[masterSettings.formState.rowdata.name,editor.getValue()]); 
										
									},
								onClose:function(){
									$('#xeditor').remove();
								},	 
								width:1320,
								height:800,
								x:50,
								y:50
								
								});
	
				}
	
	},
				{name:'renew_cache', label:'Сбросить настройки',
					onClick:function(){
							var result ='';
							try{
								var result = rcf('utils','renewformcache', [masterSettings.formState.rowdata.name]);
								
								result = JSON.parse(result);
								
								if(result.Error==undefined){
									showSuccess('Настройки формы сброшены');
								} else { throw new Error(result.Error);}
									
							}catch(e){
									showError(e.message)
							}	
						}
					}
];

		   
			
initForm(masterSettings, userSettings, formButtons);
