var maindata = {dataSourceTableName : 'sys_tables',
            fields :[
                    { name: 'id', type: 'number', label: 'No.',width: 70 },
                    { name: 'name', type: 'string',label: 'Имя таблицы', width: 200, editable:true },
              		{ name:'extended', type:'bool', label: 'Расширенная', width:100, editable:false, gridColumnProperties:{columntype:'checkbox'} }
					], defaultSorting:{fields:'name', order:'ASC'}
};

var formButtons = [ 
				{name:'button1', label:'Обновить список', 
							onClick: function(){
												var result='';
												result = rcf('utils', 'refresh_tables');
												if(result!=''){
														showError(result);
													}else{
														updateData();
														showSuccess('Refresh complete');
													} 
						}},
				{name:'editsource', label:'Редактировать', onClick: function(){
								 
								var result = rcf('utils','gettablecontent',[maindata.formState.rowdata.name]);
								var editor;
								dialog({
								title:'Edit Source Code <b>'+maindata.formState.rowdata.name+'</b>',
								theme:theme,
								localization:userSettings.localization,
								message:'<div><button id="SaveSourceCodeButton" style="margin-left:1%">Сохранить</button><div><div><textarea id="xeditor" style="visibility:hidden;width:100%;height:90%;white-space: pre;"></textarea></div>', 
								 beforeOpen: function(){
									 $('#xeditor').val(result);
                                   $("#SaveSourceCodeButton").mfxButton({ template: "success", width:'7em' });
									 $("#SaveSourceCodeButton").on('click', function(){var result = rcf('utils','settablecontent',[maindata.formState.rowdata.name,editor.getValue()]); });
									 editor = CodeMirror.fromTextArea(document.getElementById("xeditor"), {
										lineNumbers: true,
										matchBrackets: true,
										mode:  "text/x-php",
										styleActiveLine: true,
										theme:'liquibyte'
										
										});
										editor.setSize(1300, 680);
									},
								success:function(){
									 
									 var result = rcf('utils','settablecontent',[maindata.formState.rowdata.name,editor.getValue()]); 
										
									},
								onClose:function(){
									$('#xeditor').remove();
									$('#confirmDialog').remove();
								},	 
								width:1340,
								height:800,
								x:0,
								y:0
								
								});
	
				}
	
				},
  				{name: 'import', label:'Импорт данных', onClick:function(){
                
                							var fileinfo = [];
								
											 function handleFileSelect(evt) {
												var files = evt.target.files; 
					
												for (var i = 0, f; f = files[i]; i++) {
											  
												  var reader = new FileReader();
											 
												  reader.onloadend = (function(theFile) {
													return function(e) {
													  
													  var span = document.createElement('span');
													  span.innerHTML = ['<b>', escape(theFile.name), '</b><br>'].join('');
													  document.getElementById('filelist').insertBefore(span, null);
													  
													  fileinfo[theFile.name] = {filename:theFile.name,filecontent:e.target.result};
													  
													};
												  })(f);
											
												  reader.readAsText(f);
												}
											  }
											var truncateChecked = 1;  
                  							var importtype = 'JSON';
                  							
                  							
											 dialog({
												title:'Выберите файл для импорта',
												theme:theme,
												localization:userSettings.localization,
												message:'<style>.thumb {height: 16px;border: 1px solid #000;margin: 10px 5px 0 0;}</style><div id="doTruncate" style="margin-left: 10px; float: left;">Очистить таблицу перед импортом</div><br><br>'
                                               				+'<div id="importjson" style="margin-left: 10px; float: left;">JSON</div><div id="importcsv" style="margin-left: 10px; float: left;">CSV</div><br><br><input type="file" id="files" name="files[]" /><br><output id="filelist"></output>', 
												beforeOpen: function(){
                                                  	 $("#doTruncate").mfxCheckBox({ width: 220, height: 25, checked: true, theme:theme});
                                                  	 $("#doTruncate").on('change', function (event) {
                                                          	truncateChecked = event.args.checked?1:0;
                                                       		
                                                     });
                                                  	$("#importjson").mfxRadioButton({theme:theme, checked: true});
                                                  	$("#importcsv").mfxRadioButton({theme:theme});
                                                  
                                                  	$("#importjson").on('checked', function () {
                   										 importtype = 'JSON';
                									});
                                                  	$("#importcsv").on('checked', function () {
                   										 importtype = 'CSV';
                									});
													document.getElementById('files').addEventListener('change', handleFileSelect, false);
													},
												success:function(){
													
													for (var key in fileinfo) {
														
														var result = rcf('importclass','import',[fileinfo[key].filecontent, maindata.formState.rowdata.name, truncateChecked, importtype ]);
                                                      	if(result!=''){showWarning(result,30000);}else{
                                                        	showSuccess('Данные загружены');
                                                        }
														updateData();
														
													}
													
												},
												width:320,
												height:240,
												x:200,
												y:200
												
											});	

                
                }}
];


runForm(maindata, formButtons);
