var dataSourceTableName = 'bin';
            var fields = [
                    { name: 'id', type: 'number', label: 'No.',width: 70},
					{ name: 'code', type: 'string',label: 'Код', width: 100, editable:true },
					{ name: 'description', type: 'string',label: 'Описание', width: 200, editable:true },
					{ name: 'location', type: 'number',label: 'Склад №', width:50, editable:true, gridColumnProperties:{hidden:true}, showlabel:false, display:false },
					{ name: 'location__code', type: 'string',label: 'Склад', width:70, editable:true,
												popupgrid:{datatable:'location', needfield:'id', setfield:'location', fields:
														[
															{name:'id', type:'number', label:'No.', width:70, gridColumnProperties:{hidden:true}},
															{name:'code', type:'string', label:'Код', width:150}
														], gridProperties:{showfilterrow: false, pageable: false,showheader: false}
													}
					},
					{ name: 'zone', type: 'number',label: 'Зона №', width:50, editable:true, gridColumnProperties:{hidden:true}, showlabel:false, display:false },
					{ name: 'zone__code', type: 'string',label: 'Зона', width:70, editable:true,
												popupgrid:{datatable:'zone', needfield:'id', setfield:'zoneid', fields:
														[
															{name:'id', type:'number', label:'No.', width:70},
															{name:'code', type:'string', label:'Код', width:150}
														], gridProperties:{showfilterrow: false, showheader: false},
														filterBefore:function(row){
															return [['location','EQUAL', row.location]];
														}
													}
					},
					{ name: 'bintype', type: 'number',label: 'Тип', width:50, editable:true, gridColumnProperties:{hidden:true}, showlabel:false, display:false },
					{ name: 'bintype__code', type: 'string',label: 'Тип', width:70, editable:true,
												popupgrid:{datatable:'bintypes', needfield:'id', setfield:'bintype', fields:
														[
															{name:'id', type:'number', label:'No.', width:70},
															{name:'code', type:'string', label:'Код', width:150},
															{name:'receive', type:'bool', label:'Приемка', width:50,gridColumnProperties:{columntype:'checkbox'}},
															{name:'ship', type:'bool', label:'Отгрузка', width:50,gridColumnProperties:{columntype:'checkbox'}},
															{name:'put_away', type:'bool', label:'Списание', width:50,gridColumnProperties:{columntype:'checkbox'}},
															{name:'pick', type:'bool', label:'Подбор', width:50,gridColumnProperties:{columntype:'checkbox'}}
														], gridProperties:{showfilterrow: false}
													}
					},
					{ name: 'cubage', type: 'number',label: 'Объем', width: 120, editable:true},
					{ name: 'maximum_weight', type: 'number',label: 'Максимальный вес', width: 120, editable:true},
					{ name: 'block_movement', type:'bool', label:'Блок. Перемещ.', width:70, editable:true, gridColumnProperties:{columntype:'checkbox'}},
					{ name: 'empty', type:'bool', label:'Пусто', width:70, editable:true, gridColumnProperties:{columntype:'checkbox'}},
					{ name: 'binranking', type: 'number',label: 'Ранжир', width: 120, editable:true}
                ];
				
	var maindata = {
				dataSourceTableName:dataSourceTableName,
				fields:fields,
				panelButtons:{addButton:{disabled:false}, deleteButton:{disabled:false}},
			};
	runForm(maindata);