var maindata = {dataSourceTableName : 'viewsettings',
				fields : [
                    { name: 'id', type: 'number', label: 'Id',width: 70 , hidden:true},
					{ name: 'themeid', type: 'number', label: 'Тема',width: 70, hidden:true, 
													dropdowngrid:{datatable:'themes', needfield:'id', fields:
														[
															{name:'id', type:'number', label:'No.', width:70},
															{name:'description', type:'string', label:'Описание', width:150}
														]
													}},
					
					{ name: 'themeid__description', type: 'string', label: 'Тема',width: 150, gridColumnProperties:{filterable:false, sortable: false}},
					{ name: 'altrows', type:'bool', label:'Зебра', width:70, columntype:'checkbox', editable:true},
					{ name: 'i18n', type: 'number', label: 'Локаль',width: 70, hidden:true, 
													dropdowngrid:{datatable:'i18n', needfield:'id', fields:
														[
															{name:'id', type:'number', label:'No.', width:70},
															{name:'culture', type:'string', label:'Страна', width:100},
															{name:'language', type:'string', label:'Язык', width:150}
														]
													}},
					
					{ name: 'i18n__culture', type: 'string', label: 'Язык',width: 150, gridColumnProperties:{filterable:false, sortable: false}}
                ],
				formFilters:[['userid', 'EQUAL', <?php echo security::userId();?>]],
				panelButtons:{addButton:{disabled:true}, deleteButton:{disabled:true}},
				gridProperties:{showtoolbar: false,showfilterrow: false}};
var buttons = [
  {name:'setpwd', label:'Установить пароль', onClick:function(){
  							dialog({
								title:'Пароль для '+maindata.formState.rowdata.username,
								theme:theme,
								localization:userSettings.localization,
								message:'Type<br><br>'+
								
								'Новый пароль<br><input id="passNew" type="password" /><br>'+
								'Подтверждение пароля<br><input id="passConfirm" type="password" /><br>'+
                              	'Старый пароль<br><input id="passInput" type="password" />'
								, 
								beforeOpen: function(){
									$('#passInput').mfxPasswordInput({  width: '150px', height: '20px'});
									$('#passConfirm').mfxPasswordInput({  width: '150px', height: '20px'});
                              		$('#passNew').mfxPasswordInput({  width: '150px', height: '20px'});
									},
								success:function(){
									var pass = $('#passInput').val();
                                  	var passconfirm = $('#passConfirm').val();
                                  	var newpass = $('#passNew').val();
                                  	console.log(newpass+' '+passconfirm);
                                  	if(newpass.toString()!=passconfirm.toString()) {showError('Новый пароль и подтверждение не совпадают');return;}
									changePassword(newpass, pass);
								},
								width:200,
								height:250,
								x:200,
								y:200
								
								});	
						
						
						function changePassword(newpassword,pass){
							var obj = rcf('utils', 'changeUserPassword', [pass, newpassword]);
							var result= '';
							try{
								result = JSON.parse(obj);
							} catch(e){
								showError(obj);
							}
							
							if(result.Error!=undefined){showError(result.Error);}
							else{showSuccess('Пароль изменен');}
							
						
					}
  }
  }
];			
runForm(maindata,buttons);				
